Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I can't enable IPV6 in a Cisco 2800 router that runs iOS version 12.4T.

I followed the summary steps section in Cisco's web page . But whenever I type "ipv6" on the command line (as in 'ipv6 address' - Step 4 in the summary steps), I get an error message stating command not supported, with a caret pointing at the "v" in the ipv6. From the same web page, iOS versions greater than 12.2 should support IPv6.

What could be the problem? Do you need more data?

share|improve this question
    
What specific version do you have, I'd suggest you start with no less than 12.4(20)T. –  Chopper3 Apr 5 '11 at 17:46
    
btw, iOS is the iphone OS, IOS is the Internetwork Operating System. –  petrus Apr 5 '11 at 18:10
add comment

1 Answer

up vote 2 down vote accepted

Features are indeed dependant of the version your router is running, ie 12.4T in this case, but also what is called the "feature set". It seems that your version does not support ipv6.

Cisco Feature Navigator can help you to identify a correct version for your hardware, that supports ipv6/the fancy feature you need.

Common feature sets :

  • ip base
  • SP services (service provider)
  • advanced ip
  • advanced enterprise services

If you want to learn more regarding the IOS naming and versioning, follow this link.

edit: a quick search in cisco's feature navigator shows that ipv6 is supported since at least 12.4(2)T1, but you'll need an advanced ip services or advanced enterprise services feature set.

In later versions, ipv6 is also supported on voice & sp services.

share|improve this answer
    
It's crazy that IPv6 routing isn't bundled with all firmwares... It's just routing... –  Kedare Apr 5 '11 at 19:29
    
@Kedare: indeed, but remember that ipv6 was once know as "ipng"... –  petrus Apr 5 '11 at 21:17
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.